TX16Wx Last Version Crash on GP


#1

Hi i have just updated TX16Wx to last version (download 3.c from their website) but i’m expecting some problems with GP 2.6.2

The VST3 is recognized and the block is creted in GP editor but clicking twice on it in order to edit the VST plugin data GP closes without any feedback or error message.


#2

Most likely is that the TX16W plugin crashed while GP was trying to open it. Gig Performer simply tells the plugin to create an editor and open it. It’s up to the plugin to actually do that.
Suggest you report the issue to the TX16W developer


#3

I got an error message in using the VST plugin.

“Unsupported bus mode”


#4

Just tested with Ableton Live 10 => complete crash.


#5

I crashes with Logic Pro X also.


#6

Found this in the KVR Audio forums:

Hi !
Just to report that on macOS Mojave, the Free TX16Wx v3.0,

  • VST plugin v3 crashes Tracktion Waveform (v9.6.2) (when inserted as plugin in a track in the edit view), and
  • AU plugin v3 crashes Logic Pro X (v10.4.2). When testing the AU plugins (before opening), Logic don’t opens and cashes due to the TX16Wx test.

In both cases (VST and AU PlugIns), the TX16Wx version 2.4 was Ok on High Sierra (v10.13) and in Mojave (v 10.14).

Hoping that an update will clear the actual situation.

Regards,

Lutin mutin.


#7

Today a new version 3.0.2 was released.
Now it cannot be validated in GigPerformer 2.6.2


#8

Yep - I just tried. They screwed up :slight_smile: I’ll email them.
(Edit - can’t find an email address - I posted on the KVR forum)

Attempting to load VST: /Library/Audio/Plug-Ins/VST/TX16Wx.vst
2018-10-22 14:33:34.720 grplscn[94418:18477827] Error loading /Library/Audio/Plug-Ins/VST/TX16Wx.vst/Contents/MacOS/TX16Wx: dlopen(/Library/Audio/Plug-Ins/VST/TX16Wx.vst/Contents/MacOS/TX16Wx, 262): Symbol not found: __ZTISt12bad_any_cast
Referenced from: /Library/Audio/Plug-Ins/VST/TX16Wx.vst/Contents/MacOS/TX16Wx
Expected in: /usr/lib/libc++.1.dylib
in /Library/Audio/Plug-Ins/VST/TX16Wx.vst/Contents/MacOS/TX16Wx